Bug 135781 - Refactor ShapeOutsideInfo so it isn't mutated for each line
Summary: Refactor ShapeOutsideInfo so it isn't mutated for each line
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bem Jones-Bey
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-08 17:44 PDT by Bem Jones-Bey
Modified: 2014-08-13 12:05 PDT (History)
4 users (show)

See Also:


Attachments
Patch (18.82 KB, patch)
2014-08-08 17:54 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (18.91 KB, patch)
2014-08-08 21:10 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (18.91 KB, patch)
2014-08-12 11:01 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (18.87 KB, patch)
2014-08-12 13:12 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (18.84 KB, patch)
2014-08-13 11:37 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bem Jones-Bey 2014-08-08 17:44:24 PDT
Refactor ShapeOutsideInfo so it isn't mutated for each line
Comment 1 Bem Jones-Bey 2014-08-08 17:54:44 PDT
Created attachment 236327 [details]
Patch
Comment 2 Bem Jones-Bey 2014-08-08 21:10:10 PDT
Created attachment 236330 [details]
Patch

Rebased so it will actually apply.
Comment 3 Bem Jones-Bey 2014-08-12 11:01:00 PDT
Created attachment 236454 [details]
Patch

Rearrange bool members of ShapeOutsideDeltas to get more efficient layout.
Comment 4 Zoltan Horvath 2014-08-12 11:27:01 PDT
Comment on attachment 236454 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=236454&action=review

> Source/WebCore/rendering/shapes/ShapeOutsideInfo.cpp:336
> +        return m_shapeOutsideDeltas;

You don't need this return.
Comment 5 Bem Jones-Bey 2014-08-12 13:03:19 PDT
Comment on attachment 236454 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=236454&action=review

>> Source/WebCore/rendering/shapes/ShapeOutsideInfo.cpp:336
>> +        return m_shapeOutsideDeltas;
> 
> You don't need this return.

You're right. I'll fix that.
Comment 6 Bem Jones-Bey 2014-08-12 13:12:41 PDT
Created attachment 236462 [details]
Patch

Remove extra return statement
Comment 7 Zoltan Horvath 2014-08-12 22:50:07 PDT
Comment on attachment 236462 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=236462&action=review

r=me

> Source/WebCore/rendering/shapes/ShapeOutsideInfo.h:47
> +    WTF_MAKE_FAST_ALLOCATED;

Since ShapeOutsideDeltas isn't instantiated by operator new, you don't need to make it fast allocated.
Comment 8 Bem Jones-Bey 2014-08-13 11:37:46 PDT
Created attachment 236538 [details]
Patch

Remove unneeded fast allocation for ShapeOutsideDeltas
Comment 9 WebKit Commit Bot 2014-08-13 12:05:37 PDT
Comment on attachment 236538 [details]
Patch

Clearing flags on attachment: 236538

Committed r172529: <http://trac.webkit.org/changeset/172529>
Comment 10 WebKit Commit Bot 2014-08-13 12:05:40 PDT
All reviewed patches have been landed.  Closing bug.